<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/rtc.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">rtc.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series RTC driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d6c/rtc_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2rtc_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../dc/d1b/rtc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">RTC define Time Data Struct.  <a href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gace2e621cf311ddafd978e876953bbd86"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace2e621cf311ddafd978e876953bbd86">RTC_INIT_KEY</a>&#160;&#160;&#160;0xA5EB1357</td></tr>
<tr class="separator:gace2e621cf311ddafd978e876953bbd86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaefb0e06ea59926e7709bedb051769d18"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefb0e06ea59926e7709bedb051769d18">RTC_WRITE_KEY</a>&#160;&#160;&#160;0xA965</td></tr>
<tr class="separator:gaefb0e06ea59926e7709bedb051769d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4509da3e94e7e0db18aec46a165639e9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4509da3e94e7e0db18aec46a165639e9">RTC_WAIT_COUNT</a>&#160;&#160;&#160;0xFFFFFFFF</td></tr>
<tr class="separator:ga4509da3e94e7e0db18aec46a165639e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4bc57ef88a74f48a523fc619e44e5d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf4bc57ef88a74f48a523fc619e44e5d6">RTC_YEAR2000</a>&#160;&#160;&#160;2000</td></tr>
<tr class="separator:gaf4bc57ef88a74f48a523fc619e44e5d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1ffda007d70a9a079244d8834314078"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1ffda007d70a9a079244d8834314078">RTC_FCR_REFERENCE</a>&#160;&#160;&#160;32761</td></tr>
<tr class="separator:gad1ffda007d70a9a079244d8834314078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae8017fbc59380b143776f18af4c75d7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:gaae8017fbc59380b143776f18af4c75d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a81ec9eddb2c5fc996570d1185fd5a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga3a81ec9eddb2c5fc996570d1185fd5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada0b52b6e9e895690741af2154d2f82e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:gada0b52b6e9e895690741af2154d2f82e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacef25d3892e668ac7b3e28e0dc514991"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:gacef25d3892e668ac7b3e28e0dc514991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacae7474edb8348888c19f53eed6e04cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacae7474edb8348888c19f53eed6e04cb">RTC_TICK_1_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:gacae7474edb8348888c19f53eed6e04cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b24bdfec65411ed86561c5057b6e2d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b24bdfec65411ed86561c5057b6e2d3">RTC_TICK_1_2_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000001)</td></tr>
<tr class="separator:ga2b24bdfec65411ed86561c5057b6e2d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22acfe416fd7fd64246d90f4b1c2d37c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22acfe416fd7fd64246d90f4b1c2d37c">RTC_TICK_1_4_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000002)</td></tr>
<tr class="separator:ga22acfe416fd7fd64246d90f4b1c2d37c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63d16421cb8cf2ae29f2e0001f00cd23"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga63d16421cb8cf2ae29f2e0001f00cd23">RTC_TICK_1_8_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000003)</td></tr>
<tr class="separator:ga63d16421cb8cf2ae29f2e0001f00cd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad376fffcee4cad18823b456f777185b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad376fffcee4cad18823b456f777185b">RTC_TICK_1_16_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000004)</td></tr>
<tr class="separator:gaad376fffcee4cad18823b456f777185b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga208b9d944db8cd72fb7c771d05997889"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga208b9d944db8cd72fb7c771d05997889">RTC_TICK_1_32_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000005)</td></tr>
<tr class="separator:ga208b9d944db8cd72fb7c771d05997889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20fa7a7cd34ad66ba1cf5274576bab93"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20fa7a7cd34ad66ba1cf5274576bab93">RTC_TICK_1_64_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000006)</td></tr>
<tr class="separator:ga20fa7a7cd34ad66ba1cf5274576bab93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5f1df452ec1c9aa318763f8e3828b451"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f1df452ec1c9aa318763f8e3828b451">RTC_TICK_1_128_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000007)</td></tr>
<tr class="separator:ga5f1df452ec1c9aa318763f8e3828b451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga75ff3b52950ae540fa13aa5e08eba542"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga75ff3b52950ae540fa13aa5e08eba542">RTC_SUNDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:ga75ff3b52950ae540fa13aa5e08eba542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e374db336a0ae99553627b9df14d120"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e374db336a0ae99553627b9df14d120">RTC_MONDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000001)</td></tr>
<tr class="separator:ga2e374db336a0ae99553627b9df14d120"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd122eb2d134598321cff83a3a052f10"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafd122eb2d134598321cff83a3a052f10">RTC_TUESDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000002)</td></tr>
<tr class="separator:gafd122eb2d134598321cff83a3a052f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga620a6070ae47cbbae98021311da05006"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga620a6070ae47cbbae98021311da05006">RTC_WEDNESDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000003)</td></tr>
<tr class="separator:ga620a6070ae47cbbae98021311da05006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga186df79e32dff064ecc49815c9bc4c17"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga186df79e32dff064ecc49815c9bc4c17">RTC_THURSDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000004)</td></tr>
<tr class="separator:ga186df79e32dff064ecc49815c9bc4c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7ce41b76d89cfa3b4f5783d01f5a47d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad7ce41b76d89cfa3b4f5783d01f5a47d">RTC_FRIDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000005)</td></tr>
<tr class="separator:gad7ce41b76d89cfa3b4f5783d01f5a47d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6fa739d323fe37d14cc1e0ef430dc6c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad6fa739d323fe37d14cc1e0ef430dc6c">RTC_SATURDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000006)</td></tr>
<tr class="separator:gad6fa739d323fe37d14cc1e0ef430dc6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86896ecf9392dc45baaa71f0284197a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86896ecf9392dc45baaa71f0284197a3">RTC_SNOOPER_RISING</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga86896ecf9392dc45baaa71f0284197a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f0cb8f0e36d056a6e0220ef7507134d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6f0cb8f0e36d056a6e0220ef7507134d">RTC_SNOOPER_FALLING</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga6f0cb8f0e36d056a6e0220ef7507134d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac55d7cf872b90e802ffbfdecd466ea8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac55d7cf872b90e802ffbfdecd466ea8a">RTC_READ_SPARE_REGISTER</a>(u32RegNum)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;SPR[u32RegNum])</td></tr>
<tr class="memdesc:gac55d7cf872b90e802ffbfdecd466ea8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read spare register.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac55d7cf872b90e802ffbfdecd466ea8a">More...</a><br /></td></tr>
<tr class="separator:gac55d7cf872b90e802ffbfdecd466ea8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7673a733b8ddfd27865ebb03ae5b47a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7673a733b8ddfd27865ebb03ae5b47a5">RTC_WRITE_SPARE_REGISTER</a>(u32RegNum,  u32RegValue)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;SPR[u32RegNum] = u32RegValue)</td></tr>
<tr class="memdesc:ga7673a733b8ddfd27865ebb03ae5b47a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write spare register.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7673a733b8ddfd27865ebb03ae5b47a5">More...</a><br /></td></tr>
<tr class="separator:ga7673a733b8ddfd27865ebb03ae5b47a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cdf540e4c00e818a6e0f52873058e81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cdf540e4c00e818a6e0f52873058e81">RTC_IS_LEAP_YEAR</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;LIR &amp; (<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a07ddc0a16df4ac356558e3af2c0f9881">RTC_LIR_LIR_Msk</a>))?1:0)</td></tr>
<tr class="memdesc:ga7cdf540e4c00e818a6e0f52873058e81"><td class="mdescLeft">&#160;</td><td class="mdescRight">According to current time, return this year is leap year or not.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cdf540e4c00e818a6e0f52873058e81">More...</a><br /></td></tr>
<tr class="separator:ga7cdf540e4c00e818a6e0f52873058e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf78901ec0a6bc00faa9c222a34788a98"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78901ec0a6bc00faa9c222a34788a98">RTC_CLEAR_ALARM_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a92e0981f6411d6ea211ddf3a0963d553">RTC_RIIR_AIF_Msk</a>)</td></tr>
<tr class="memdesc:gaf78901ec0a6bc00faa9c222a34788a98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear alarm interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78901ec0a6bc00faa9c222a34788a98">More...</a><br /></td></tr>
<tr class="separator:gaf78901ec0a6bc00faa9c222a34788a98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa9f9bc7680ebe6eb41a1821bfdbc4b35"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9f9bc7680ebe6eb41a1821bfdbc4b35">RTC_CLEAR_TICK_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5911096c28e6e7d3eb6c4b6000fa0b5f">RTC_RIIR_TIF_Msk</a>)</td></tr>
<tr class="memdesc:gaa9f9bc7680ebe6eb41a1821bfdbc4b35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear tick interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9f9bc7680ebe6eb41a1821bfdbc4b35">More...</a><br /></td></tr>
<tr class="separator:gaa9f9bc7680ebe6eb41a1821bfdbc4b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6aa031784a68b2ccfa39d325e83b4350"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6aa031784a68b2ccfa39d325e83b4350">RTC_GET_ALARM_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a92e0981f6411d6ea211ddf3a0963d553">RTC_RIIR_AIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ad8bca1330064489e896757b47ed29183">RTC_RIIR_AIF_Pos</a>)</td></tr>
<tr class="memdesc:ga6aa031784a68b2ccfa39d325e83b4350"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get alarm interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6aa031784a68b2ccfa39d325e83b4350">More...</a><br /></td></tr>
<tr class="separator:ga6aa031784a68b2ccfa39d325e83b4350"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1083ef9c749476d417d53d194bbff608"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1083ef9c749476d417d53d194bbff608">RTC_CLEAR_TAMPER_FLAG</a>(u32PinNum)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af1e4f69211e9b010d23cecf2e4a658d8">RTC_RIIR_SNOOPIF_Msk</a>)</td></tr>
<tr class="memdesc:ga1083ef9c749476d417d53d194bbff608"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear tamper detect pin status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1083ef9c749476d417d53d194bbff608">More...</a><br /></td></tr>
<tr class="separator:ga1083ef9c749476d417d53d194bbff608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf089de7182cd191001a1ebad4768ff51"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf089de7182cd191001a1ebad4768ff51">RTC_GET_TICK_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5911096c28e6e7d3eb6c4b6000fa0b5f">RTC_RIIR_TIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ada1b147c82bcd7f4b359a6e84a9d9fc1">RTC_RIIR_TIF_Pos</a>)</td></tr>
<tr class="memdesc:gaf089de7182cd191001a1ebad4768ff51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get alarm interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf089de7182cd191001a1ebad4768ff51">More...</a><br /></td></tr>
<tr class="separator:gaf089de7182cd191001a1ebad4768ff51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedde748317bd4f2187caabf22713873c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedde748317bd4f2187caabf22713873c">RTC_GET_TAMPER_FLAG</a>()&#160;&#160;&#160;( (<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af1e4f69211e9b010d23cecf2e4a658d8">RTC_RIIR_SNOOPIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4c575f3edc52adf5ca6ceeace5752781">RTC_RIIR_SNOOPIF_Pos</a>)</td></tr>
<tr class="memdesc:gaedde748317bd4f2187caabf22713873c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get tamper detect pin status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedde748317bd4f2187caabf22713873c">More...</a><br /></td></tr>
<tr class="separator:gaedde748317bd4f2187caabf22713873c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab621aaec187157f72a666429a560a1a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab621aaec187157f72a666429a560a1a0">RTC_ENABLE_TICK_WAKEUP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;TTR |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab160fcd7bebfc3e49da3727139f62f5f">RTC_TTR_TWKE_Msk</a>);</td></tr>
<tr class="memdesc:gab621aaec187157f72a666429a560a1a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Timer tick wakeup function.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab621aaec187157f72a666429a560a1a0">More...</a><br /></td></tr>
<tr class="separator:gab621aaec187157f72a666429a560a1a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5d210fea3743a7fb8bc4cc1cfb155a83"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5d210fea3743a7fb8bc4cc1cfb155a83">RTC_DISABLE_TICK_WAKEUP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;TTR &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab160fcd7bebfc3e49da3727139f62f5f">RTC_TTR_TWKE_Msk</a>);</td></tr>
<tr class="memdesc:ga5d210fea3743a7fb8bc4cc1cfb155a83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Timer tick wakeup function.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5d210fea3743a7fb8bc4cc1cfb155a83">More...</a><br /></td></tr>
<tr class="separator:ga5d210fea3743a7fb8bc4cc1cfb155a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">RTC_Open</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to: <br  />
.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">More...</a><br /></td></tr>
<tr class="separator:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f87d84d966a979b91af4db66582d9c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">RTC_Close</a> (void)</td></tr>
<tr class="memdesc:ga6f87d84d966a979b91af4db66582d9c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable RTC clock.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">More...</a><br /></td></tr>
<tr class="separator:ga6f87d84d966a979b91af4db66582d9c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">RTC_32KCalibration</a> (int32_t i32FrequencyX10000)</td></tr>
<tr class="memdesc:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Frequency Compensation Data.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">More...</a><br /></td></tr>
<tr class="separator:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab033fe338dc5c91d0c05975380f4d46c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">RTC_SetTickPeriod</a> (uint32_t u32TickSelection)</td></tr>
<tr class="memdesc:gab033fe338dc5c91d0c05975380f4d46c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to set time tick period for periodic time tick Interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">More...</a><br /></td></tr>
<tr class="separator:gab033fe338dc5c91d0c05975380f4d46c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04757169c2ecc5daf11616e7a94b103d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">RTC_EnableInt</a> (uint32_t u32IntFlagMask)</td></tr>
<tr class="memdesc:ga04757169c2ecc5daf11616e7a94b103d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to enable specified interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">More...</a><br /></td></tr>
<tr class="separator:ga04757169c2ecc5daf11616e7a94b103d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">RTC_DisableInt</a> (uint32_t u32IntFlagMask)</td></tr>
<tr class="memdesc:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable specified interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">More...</a><br /></td></tr>
<tr class="separator:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13410b882014dab95d772d5f4c74a587"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">RTC_GetDayOfWeek</a> (void)</td></tr>
<tr class="memdesc:ga13410b882014dab95d772d5f4c74a587"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to get day of week.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">More...</a><br /></td></tr>
<tr class="separator:ga13410b882014dab95d772d5f4c74a587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9952ececf928b21361f438a9838098e8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">RTC_DisableTamperDetection</a> (void)</td></tr>
<tr class="memdesc:ga9952ececf928b21361f438a9838098e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable tamper detection function.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">More...</a><br /></td></tr>
<tr class="separator:ga9952ececf928b21361f438a9838098e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga524763363389c8ac1638edfa0bc40d26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">RTC_EnableTamperDetection</a> (uint32_t u32PinCondition)</td></tr>
<tr class="memdesc:ga524763363389c8ac1638edfa0bc40d26"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to: <br  />
.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">More...</a><br /></td></tr>
<tr class="separator:ga524763363389c8ac1638edfa0bc40d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">RTC_SetAlarmTime</a> (uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</td></tr>
<tr class="memdesc:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">More...</a><br /></td></tr>
<tr class="separator:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacefd98fd02a524ba3db5490b68da2a9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">RTC_SetAlarmDate</a> (uint32_t u32Year, uint32_t u32Month, uint32_t u32Day)</td></tr>
<tr class="memdesc:gacefd98fd02a524ba3db5490b68da2a9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">More...</a><br /></td></tr>
<tr class="separator:gacefd98fd02a524ba3db5490b68da2a9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga814dadca05393de94c8086104d7d0595"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">RTC_SetTime</a> (uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</td></tr>
<tr class="memdesc:ga814dadca05393de94c8086104d7d0595"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">More...</a><br /></td></tr>
<tr class="separator:ga814dadca05393de94c8086104d7d0595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">RTC_SetDate</a> (uint32_t u32Year, uint32_t u32Month, uint32_t u32Day, uint32_t u32DayOfWeek)</td></tr>
<tr class="memdesc:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">More...</a><br /></td></tr>
<tr class="separator:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga409ada4692ecf2989c51684fc5a11596"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">RTC_SetAlarmDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga409ada4692ecf2989c51684fc5a11596"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date/time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">More...</a><br /></td></tr>
<tr class="separator:ga409ada4692ecf2989c51684fc5a11596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">RTC_SetDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update date/time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">More...</a><br /></td></tr>
<tr class="separator:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">RTC_GetAlarmDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read alarm date/time from RTC setting.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">More...</a><br /></td></tr>
<tr class="separator:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6a099b0c535e8896b99f744601f9d8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">RTC_GetDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:gaf6a099b0c535e8896b99f744601f9d8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read current date/time from RTC setting.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">More...</a><br /></td></tr>
<tr class="separator:gaf6a099b0c535e8896b99f744601f9d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series RTC driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>15 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/17 1:44p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
